#include <stdlib.h>
// BIAS
#include <Base/Debug/LogFacility.hh>

using namespace BIAS;

class MyTestClass {
public:
  MyTestClass() {
  };

};





int main(int argc, char *argv[])
{
  if (argc>1){
    int ll=atoi(argv[1]);
    cout <<"Now setting current loglevel to: "<<ll<<endl;
    LogFacility::Instance()->SetLogLevel((BIAS_LOG_LEVEL)ll);
    if (ll==5) {
      LogFacility::Instance()->SetLogLevel(BIAS_LOG_DEBUG);
      LogFacility::Instance()->SetShowCodeInfo(true);
    }
    if (ll==6){
      LogFacility::Instance()->SetLogLevel(BIAS_LOG_DEBUG);
     LogFacility::Instance()->SetAbortOnFatal(true);
    }
  }

 if (argc>2){
    cout <<"Now setting log stream tofile: "<<argv[2]<<endl;
    LogFacility::Instance()->OpenLogFile(argv[2]);
  }
 
  // this is the full qualified official usage of the LFwithout checking level
  LogFacility::Instance()->GetLogStream()<<"Ok, starting up LogFacility"<<endl;


  // this macros accepts arbitrary stream-concatenations, checks loglevel
  // and codeinfo
  BIASLOG(BIAS_LOG_DEBUG,"This is a debug line number:"<<2);

  // this is the short form of the above:
  BLD("This is a debug line number:"<<3);

  BLI("This is an info  line");
  BLW("This is a warning  line");
  BLF("This is a fatal error");
 

  return 0;
}

