#include "dndFileTarget.hh"
#include <string>
#include <sstream>
#include "Base/Debug/Error.hh"
#include <wx/filename.h>

using namespace std;
using namespace BIAS;

/** @author Jan Woetzel 03/2005 */
dndFileTarget::dndFileTarget(wxFrame *frame){m_frame = frame;}

//bool dndFileTarget::OnDropFiles (wxCoord x, wxCoord y, const wxArrayString& filenames)
bool dndFileTarget::OnDropFiles (wxCoord  , wxCoord  , const wxArrayString& filenames)
{ 
    stringstream ss;
    for (size_t n = 0; n < filenames.Count(); n++){        
        if (wxFileName(filenames[n]).IsDir()) {
            wxMessageBox("Dropping directories is unsupoprted. Please drop only filenames!"
                ,"dndFileTarget Error", wxOK|wxICON_EXCLAMATION);
            return FALSE;
        } else {
            ss.str("");
            ss<<n<<". "<<filenames[n]<<" ";

            // do smoething with the dropped string
            BIASASSERT(m_frame!=NULL);
            m_frame->SetStatusText( ss.str().c_str() );
            //m_frame->files_.push_back( string(filenames[n]) );
            //LoadImageFromList(files_.size()-1);
            //// save last name as default if any selected
            //if (files_.size()>0) defaultFile=wxString( files_.back().c_str() );
        } 
    };
    return TRUE;
}
