
/** Leak tracing with MS Visual studio and Visual Leak Detector
    malloc/free and new/delete are supported
    with correct line numbers, call stack etc...
    This file requires the .h extension (instead of .hh)
    @author Jan Woetzel 08/2005 */

#ifdef WIN32
#  pragma once
#endif
#ifndef __LeakChecking_h__
#define __LeakChecking_h__
#include <bias_config.h>
#ifdef BIAS_HAVE_VLD


// global options: 
#define VLD_AGGREGATE_DUPLICATES

//#define VLD_MAX_DATA_DUMP 0
#define VLD_MAX_DATA_DUMP 20

//#define VLD_START_DISABLED

// enable VLD tracing and link against vld* libraries
#include <vld.h>

// required if you use VLDEnable/VLDDisable
#include <vldapi.h>


#endif
#endif

